Name:           fwbuilder
Summary:        Firewall Builder
Version:        2.0.6
Release:        1
License:        GPL
Group:          Applications/System
URL:            http://www.fwbuilder.org/
Source:         %{name}-%{version}.tar.gz
Source1:	fwbuilder.desktop
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  qt-devel >= 1:3.0.0
BuildRequires:	desktop-file-utils
BuildRequires:  libfwbuilder-devel = 2.0.6

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%prep
%setup -q 

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
./configure --prefix=%{_prefix}	--with-templatedir=%{_datadir}/fwbuilder 
make all

%install
rm -rf $RPM_BUILD_ROOT
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
make DDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

# Add an icon for the menu system
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/fwbuilder
install -c -m644 src/gui/icons/firewall.png $RPM_BUILD_ROOT/usr/share/pixmaps/fwbuilder

# Add menu entry
desktop-file-install --vendor system               \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications   \
  --add-category X-Red-Hat-Base                    \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/fwbuilder
%dir %{_datadir}/pixmaps/fwbuilder
%{_datadir}/fwbuilder/locale/*
%{_datadir}/fwbuilder/platform/*
%{_datadir}/fwbuilder/os/*
%{_datadir}/fwbuilder/resources.xml
%{_datadir}/fwbuilder/objects_init.xml
%{_datadir}/fwbuilder/templates.xml
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/fwbuilder/firewall.png
%{_bindir}/fwbuilder
%{_bindir}/fwblookup
%{_bindir}/fwbedit
%{_bindir}/fwb_install
%{_bindir}/fwb_compile_all
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/ReleaseNotes_2_0.html
%doc doc/ReleaseNotes_2_0.txt
%doc doc/ReleaseNotes_2.0.1.html
%doc doc/ReleaseNotes_2.0.1.txt
%doc doc/ReleaseNotes_2.0.2.html
%doc doc/ReleaseNotes_2.0.2.txt
%doc doc/ReleaseNotes_2.0.3.html
%doc doc/ReleaseNotes_2.0.3.txt
%doc doc/ReleaseNotes_2.0.4.html
%doc doc/ReleaseNotes_2.0.4.txt
%doc doc/ReleaseNotes_2.0.5.html
%doc doc/ReleaseNotes_2.0.5.txt
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwblookup.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_install.1*
%{_mandir}/man1/fwb_compile_all.1*


%package pf
Summary:  Policy Compiler for OpenBSD PF
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description pf
Policy compiler for OpenBSD PF

%files pf
%defattr(-,root,root)
%{_bindir}/fwb_pf
%doc doc/README.pf
%{_mandir}/man1/fwb_pf.1*


%package ipf
Summary:  Policy Compiler for ipfilter
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipf
Policy compiler for ipfilter

%files ipf
%defattr(-,root,root)
%{_bindir}/fwb_ipf
%doc doc/README.ipf
%{_mandir}/man1/fwb_ipf.1*


%package ipfw
Summary:  Policy Compiler for ipfw
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipfw
Policy compiler for ipfw

%files ipfw
%defattr(-,root,root)
%{_bindir}/fwb_ipfw
%doc doc/README.ipfw
%{_mandir}/man1/fwb_ipfw.1*


%package ipt
Summary:  Policy Compiler for IPTables
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipt
Policy compiler for IPTables

%files ipt
%defattr(-,root,root)
%{_bindir}/fwb_ipt
%doc doc/README.ipt
%{_mandir}/man1/fwb_ipt.1*

%changelog
* Thu Mar  3 2005 Steve Grubb <sgrubb@redhat.com> 2.0.6-1
- New upstream version

* Sun Jan 23 2005 Warren Togami <wtogami@redhat.com> 2.0.5-3
- Typo fix (#145887 Stefan Hoelldampf) 

* Sat Jan 22 2005 Warren Togami <wtogami@redhat.com> 2.0.5-2
- minor spec cleanup

* Sat Jan 22 2005 Steve Grubb <sgrubb@redhat.com> 2.0.5
- Created base spec file

